#
# Conditional build:
%bcond_without	python2		# CPython 2.x module
%bcond_without	python3		# CPython 3.x module
%bcond_without	apidocs		# Sphinx documentation
%bcond_with	tests		# test suite (SLOOOOW)

%define		module	Cython

Summary:	Language for writing Python Extension Modules (Python 2.x version)
Summary(pl.UTF-8):	Język służący do pisania modułów rozszerzających Pythona (wersja dla Pythona 2.x)
Name:		python-%{module}
Version:	0.29.13
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/cython/
Source0:	https://files.pythonhosted.org/packages/source/c/cython/%{module}-%{version}.tar.gz
# Source0-md5:	f8109a2a86cded40b3896ee7a63bc5a5
URL:		http://cython.org/
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python >= 1:2.6
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.3
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
%{?with_apidocs:BuildRequires:	sphinx-pdg}
Requires:	python-devel >= 1:2.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautocompressdoc	*.c

%description
Cython lets you write code that mixes Python and C data types any way
you want, and compiles it into a C extension for Python. Cython is
based on Pyrex.

This package contains Cython module for Python 2.x.

%description -l pl.UTF-8
Cython pozwala pisać kod zawierający dane Pythona i języka C połączone
w jakikolwiek sposób i kompiluje to jako rozszerzenie C dla Pythona.
Cython jest oparty na Pyreksie.

Ten pakiet zawiera moduł Cython dla Pythona 2.x.

%package -n python3-Cython
Summary:	Language for writing Python Extension Modules (Python 3.x version)
Summary(pl.UTF-8):	Język służący do pisania modułów rozszerzających Pythona (wersja dla Pythona 3.x)
Group:		Libraries/Python
Requires:	python3-devel >= 1:3.3

%description -n python3-Cython
Cython lets you write code that mixes Python and C data types any way
you want, and compiles it into a C extension for Python. Cython is
based on Pyrex.

This package contains Cython module for Python 3.x.

%description -n python3-Cython -l pl.UTF-8
Pyrex pozwala pisać kod zawierający dane Pythona i języka C połączone
w jakikolwiek sposób i kompiluje to jako rozszerzenie C dla Pythona.
Cython jest oparty na Pyreksie.

Ten pakiet zawiera moduł Cython dla Pythona 3.x.

%package apidocs
Summary:	API documentation for Cython module
Summary(pl.UTF-8):	Dokumentacja API modułu Cython
Group:		Documentation

%description apidocs
API documentation for Cython module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Cython.

%package examples
Summary:	Examples for Cython language
Summary(pl.UTF-8):	Przykłady programów w języku Cython
Group:		Libraries/Python
Obsoletes:	python3-Cython-examples

%description examples
This package contains example programs for Cython language.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe programy napisane w języku Cython.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} runtests.py
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} runtests.py
%endif
%endif

%if %{with apidocs}
%{__make} -C docs html
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with python3}
%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/cython{,3}
%{__mv} $RPM_BUILD_ROOT%{_bindir}/cythonize{,3}
%{__mv} $RPM_BUILD_ROOT%{_bindir}/cygdb{,3}
%endif

%if %{with python2}
%py_install

find $RPM_BUILD_ROOT%{py_sitedir} -name "*.py" -a ! -name 'Lexicon.py' -exec rm -f {} \;
%endif

cp -a Demos/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYING.txt README.rst ToDo.txt USAGE.txt
%attr(755,root,root) %{_bindir}/cython
%attr(755,root,root) %{_bindir}/cythonize
%attr(755,root,root) %{_bindir}/cygdb
%{py_sitedir}/cython.py[co]
%{py_sitedir}/Cython
%{py_sitedir}/pyximport
%{py_sitedir}/Cython-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-Cython
%defattr(644,root,root,755)
%doc CHANGES.rst COPYING.txt README.rst ToDo.txt USAGE.txt
%attr(755,root,root) %{_bindir}/cython3
%attr(755,root,root) %{_bindir}/cythonize3
%attr(755,root,root) %{_bindir}/cygdb3
%{py3_sitedir}/cython.py
%{py3_sitedir}/__pycache__/cython.*
%{py3_sitedir}/Cython
%{py3_sitedir}/pyximport
%{py3_sitedir}/Cython-%{version}-py*.egg-info
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_images,_static,src,*.html,*.js}
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Oct 29 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Cython.git;a=log;h=master

* Tue Oct 29 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 33e87a0
- up to 0.29.13

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> d946180
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Dec 02 2018 Jakub Bogusz <qboosh@pld-linux.org> d38c0db
- updated to 0.29.1

* Mon Oct 22 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 0084801
- Version: 0.29

* Fri Jul 20 2018 Jakub Bogusz <qboosh@pld-linux.org> e813260
- updated to 0.28.4

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b9f58e1
- up to 0.28.2

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b8722d8
- python 3.7 rebuild
- release 2 (by relup.sh)

* Sun Nov 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 4f6233b
- updated to 0.27.3
- separated -apidocs

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 61ccb09
- up to 0.25.2

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 324ab2b
- python 3.6
- release 2 (by relup.sh)

* Tue Aug 30 2016 Jakub Bogusz <qboosh@pld-linux.org> da43f60
- updated to 0.24.1

* Thu May 12 2016 Jakub Bogusz <qboosh@pld-linux.org> 279fd8d
- updated to 0.24

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> ed9929e
- use rpm python macros
- rel 3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> aff1366
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5558994
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b0c5c87
- automatic change: use py_build/py_install macros

* Tue Oct 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 760790e
- updated to 0.23.4

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 29ef7e4
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 325d54a
- python 3.5 rebuild
- release 2 (by relup.sh)

* Sun Sep 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 996477a
- updated to 0.23.1

